RTPApplication(3)

NAME
RTPApplication - An RTP application, holding identifying RTCP SDES item values.

SYNOPSIS

#include <sources.h>

Inherits SDESItemsHolder.

  Classes

class ParticipantsIterator
Iterator through the list of participants in this session.

  Public Member Functions

RTPApplication (const std::string &cname)
Create a new RTP application.
~RTPApplication ()
void setSDESItem (SDESItemType item, const std::string &val)
void setPRIVPrefix (const std::string &val)
const std::string & getSDESItem (SDESItemType item) const
const std::string & getPRIVPrefix () const
ParticipantsIterator begin ()
ParticipantsIterator end ()
const Participant * getParticipant (const std::string &cname) const

  Friends

class ApplicationHandler

Detailed Description

An RTP application, holding identifying RTCP SDES item values.

Represents local participants.

An application in the context of RTP: an entity that has a CNAME (unique identifier in the form of user@host.domain) as well as other RTCP SDES items (such as NAME or TOOL), and may open a number of RTP sessions. Each application is a different source of synchronization (with a potentially diferent SSRC identifier) in each RTP session it participates. All the sources of synchronization from a participant are tied together by means of the CNAME.

The definition of this class allows applications based on ccRTP to implement several "RTP applications" in the same process. Each object of this class represents a local participant.

Author
    Federico Montesino Pouzols fedemp@altern.org

Constructor & Destructor Documentation

  RTPApplication::RTPApplication (const std::string & cname)

Create a new RTP application. If the CNAME string provided has zero length, it is guessed from the user and machine name.

Parameters
    cname Local participant canonical name.

  RTPApplication::~RTPApplication ()

Member Function Documentation

  ParticipantsIterator RTPApplication::begin () [inline]

Examples
ccrtptest.cpp.

  ParticipantsIterator RTPApplication::end () [inline]

Examples
ccrtptest.cpp.

  const Participant * RTPApplication::getParticipant (const std::string & cname) const

  const std::string & RTPApplication::getPRIVPrefix () const [inline]

  const std::string & RTPApplication::getSDESItem (SDESItemType item) const [inline]

  void RTPApplication::setPRIVPrefix (const std::string & val) [inline]

  void RTPApplication::setSDESItem (SDESItemType item, const std::string & val) [inline]

Examples
ccrtptest.cpp, rtplisten.cpp, and rtpsend.cpp.

Friends And Related Symbol Documentation

  friend class ApplicationHandler [friend]

Author

Generated automatically by Doxygen for ccRTP from the source code.